org.richfaces.fragment.inplaceInput

## Class RichFacesInplaceInput

- java.lang.Object
- - org.richfaces.fragment.inplaceInput.RichFacesInplaceInput

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesInplaceInput.AdvancedInplaceInputInteractions>, AdvancedVisibleComponentIteractions<RichFacesInplaceInput.AdvancedInplaceInputInteractions>, InplaceInput

      public class RichFacesInplaceInput
      extends Object
      implements InplaceInput, AdvancedVisibleComponentIteractions<RichFacesInplaceInput.AdvancedInplaceInputInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesInplaceInput.AdvancedInplaceInputInteractions`
    `class` | `RichFacesInplaceInput.ConfirmOrCancelImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInplaceInput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesInplaceInput.AdvancedInplaceInputInteractions` | `advanced()`
    `TextInputComponentImpl` | `getTextInput()` Gets the associated text input.
    `ConfirmOrCancel` | `type(String text)` Types given `text` to the input, thus switching the input into editing state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesInplaceInput

          public RichFacesInplaceInput()

  - ### Method Detail

    - #### advanced

          public RichFacesInplaceInput.AdvancedInplaceInputInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesInplaceInput.AdvancedInplaceInputInteractions>`

    - #### getTextInput

          public TextInputComponentImpl getTextInput()

      Description copied from interface: `InplaceInput`
      Gets the associated text input.
      Specified by:
        `getTextInput` in interface `InplaceInput`
      Returns:
        the text input of the component
      See Also:
        `TextInputComponentImpl`

    - #### type

          public ConfirmOrCancel type(String text)

      Description copied from interface: `InplaceInput`
      Types given `text` to the input, thus switching the input into editing state.
      Specified by:
        `type` in interface `InplaceInput`
      Parameters:
        `text` - text to be typed into the input
      Returns:
        object by which a user can actually change the input value (confirm), or return to the previous text (cancel)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.